#ifndef MODELMANAGER_H
#define MODELMANAGER_H

#include <vector>

class Model;

class ModelSystem
{
public:
	ModelSystem();
	~ModelSystem();

	void Init();
	void Shutdown();

	Model* LoadModel(const char* filename);

private:
	struct ModelEntry
	{
		char filename[260];
		Model* model;
	};

	std::vector< ModelEntry > m_models;

};

extern ModelSystem* g_modelSystem;

#endif // !MODELMANAGER_H
